FROM rust:latest AS build-env
WORKDIR /src
RUN git clone https://git.z.xinu.tv/wathiede/raytracers.git 
WORKDIR /src/raytracers/rtiow/
RUN cargo install --bin noise_explorer

FROM rust:slim
COPY --from=build-env /src/raytracers/rtiow/target/release/noise_explorer /usr/bin/noise_explorer
